# uncomment the next line to add byteman to your env
#echo "JAVA_OPTS=\"$JAVA_OPTS -javaagent:/opt/byteman/lib/byteman.jar=script:/opt/byteman/scripts/TraceManager.btm,sys:/opt/byteman/lib/byteman.jar\""

# adding configuration
echo "Configuring seed instance..."
cp reproducer-standalone-ha.xml standalone/configuration/standalone-ha.xml

echo "Duplicating seed instance..."
cp counter.war standalone/deployments/
cp -a standalone standalone2

echo "Auto starting your cluster..."
gnome-terminal -e 'bin/standalone.sh -Djboss.jvmRoute=1 -Djboss.socket.binding.port-offset=0 -Djboss.node.name=1 -Djboss.server.base.dir=standalone -c standalone-ha.xml' --title="node1"
# sleep to let a node be master
sleep 5
gnome-terminal -e 'bin/standalone.sh -Djboss.jvmRoute=2 -Djboss.socket.binding.port-offset=100 -Djboss.node.name=2 -Djboss.server.base.dir=standalone2 -c standalone-ha.xml' --title="node2"

# sleep to make sure both nodes are up
sleep 10

echo "Testing"
# Actual testing...
cookie1=`curl -is http://localhost:8080/counter | egrep -o 'Set-Cookie:(.*);' | egrep -o JSESSIONID=.*\.[0-9]`
echo "Node1 cookie: $cookie1"
cookie2=`curl -is --cookie \"$cookie1\" http://localhost:8180/counter | egrep -o 'Set-Cookie:(.*);' | egrep -o JSESSIONID=.*\.[0-9]`
echo "Node2 cookie: $cookie2"

if [ "$cookie1" == "$cookie2" ]; then
    echo "Issue reproduced; node2 did not assign it's jvmRoute."
else
    echo "Issue not reproduced; node2 assigned it's jvmRoute."
fi
